org.apache.hadoop.yarn.server.webapp

## Class ContainerBlock

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.HtmlBlock
      - - org.apache.hadoop.yarn.server.webapp.ContainerBlock

- All Implemented Interfaces:
    org.apache.hadoop.yarn.webapp.Params, org.apache.hadoop.yarn.webapp.SubView

      public class ContainerBlock
      extends org.apache.hadoop.yarn.webapp.view.HtmlBlock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `org.apache.hadoop.yarn.webapp.View.ViewContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol` | `appBaseProt`

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `UNAVAILABLE`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerBlock(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt, org.apache.hadoop.yarn.webapp.View.ViewContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.yarn.api.records.ContainerReport` | `getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)`
    `protected void` | `render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `getCallerUGI, render, renderPartial`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### appBaseProt

          protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt

  - ### Constructor Detail

    - #### ContainerBlock

          @Inject
          public ContainerBlock(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt,
                                        org.apache.hadoop.yarn.webapp.View.ViewContext ctx)

  - ### Method Detail

    - #### render

          protected void render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)

      Specified by:
        `render` in class `org.apache.hadoop.yarn.webapp.view.HtmlBlock`

    - #### getContainerReport

          protected org.apache.hadoop.yarn.api.records.ContainerReport getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)
                                                                                   throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                          IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.